//
//  ContentView.swift
//  Firebonk
//
//  Created by Patrick Müller on 12.01.23.
//

import SwiftUI

struct ContentView: View {

    var body: some View {
        TabView {
            Dashboard()
                // Badge can show e.g. number of notifications or new posts
                //.badge(2)
                .tabItem {
                    Label("dashboard".localized(tableName: "General"), systemImage: "house.fill")
                }
            People()
                .tabItem {
                    Label("people".localized(tableName: "General"), systemImage: "person.3.fill")
                }
            Spaces()
                .tabItem {
                    Label("spaces".localized(tableName: "General"), systemImage: "circle.circle")
                }
            Profile()
                .tabItem{
                    Label("profile".localized(tableName: "General"), systemImage: "person")
                }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
            .preferredColorScheme(.dark)
    }
}
